<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja szablonu klasy Vector&lt; T, SIZE &gt;</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d5/db2/class_vector.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="../../d7/d3c/class_vector-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja szablonu klasy Vector&lt; T, SIZE &gt;</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Vector&lt; T, SIZE &gt;</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d98/class_vector__inherit__graph.png" border="0" usemap="#_vector_3_01_t_00_01_s_i_z_e_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="_vector_3_01_t_00_01_s_i_z_e_01_4_inherit__map" id="_vector_3_01_t_00_01_s_i_z_e_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="13,5,151,32"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="5,95,159,121"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a42a5d5a9ce43d2e35d186ca825a3a3e5"><td class="memItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">operator[]</a> (unsigned int index)</td></tr>
<tr class="separator:a42a5d5a9ce43d2e35d186ca825a3a3e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0551702cc828474774e5a417d5be63c"><td class="memItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#aa0551702cc828474774e5a417d5be63c">operator[]</a> (unsigned int index) const</td></tr>
<tr class="separator:aa0551702cc828474774e5a417d5be63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b8bda0e41f423f266f1de2c31e56d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">operator*</a> (T number) const</td></tr>
<tr class="separator:a64b8bda0e41f423f266f1de2c31e56d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2acbd7461b9aee0c13119f773424a42"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#ad2acbd7461b9aee0c13119f773424a42">operator*</a> (const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector1) const</td></tr>
<tr class="separator:ad2acbd7461b9aee0c13119f773424a42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f208f83a404416a3dd32f366c9e33de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a0f208f83a404416a3dd32f366c9e33de">operator/</a> (T number) const</td></tr>
<tr class="separator:a0f208f83a404416a3dd32f366c9e33de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc7fbba80f94f43ee97db87d8b8623d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">operator+</a> (const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector1) const</td></tr>
<tr class="separator:afc7fbba80f94f43ee97db87d8b8623d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f1e5fb7239e59a78b6df100a56b18c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">operator-</a> (const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector1) const</td></tr>
<tr class="separator:a79f1e5fb7239e59a78b6df100a56b18c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4887846a057c7058af3db0d652e8aa89"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector</a> ()</td></tr>
<tr class="separator:a4887846a057c7058af3db0d652e8aa89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfaaab682f0c75d1b19209d772dc161b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#abfaaab682f0c75d1b19209d772dc161b">Vector</a> (double arg1, double arg2, double arg3)</td></tr>
<tr class="separator:abfaaab682f0c75d1b19209d772dc161b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a62ded5bdea4a50407eeba6dfe12626c3"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html#a62ded5bdea4a50407eeba6dfe12626c3">vector</a> [SIZE] {}</td></tr>
<tr class="separator:a62ded5bdea4a50407eeba6dfe12626c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><h3>template&lt;typename T, int SIZE&gt;<br />
class Vector&lt; T, SIZE &gt;</h3>

<p>Klasa wektor przechowuje informacje o wektorze wyrazow wolnych, mozna ja rowniez wykorzystac do przechowywania informacji o wektorze bledu czy rozwiazaniach ukladu rownan Zawiera potrzebne metody do operowania na dzialaniach na wektorach </p>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00013">13</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a4887846a057c7058af3db0d652e8aa89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4887846a057c7058af3db0d652e8aa89">&#9670;&nbsp;</a></span>Vector() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::<a class="el" href="../../d5/db2/class_vector.html">Vector</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Konstruktor dla klasy wektor </p>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00175">175</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="abfaaab682f0c75d1b19209d772dc161b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfaaab682f0c75d1b19209d772dc161b">&#9670;&nbsp;</a></span>Vector() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::<a class="el" href="../../d5/db2/class_vector.html">Vector</a> </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>arg1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>arg2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>arg3</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00182">182</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="ad2acbd7461b9aee0c13119f773424a42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2acbd7461b9aee0c13119f773424a42">&#9670;&nbsp;</a></span>operator*() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector1</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora mnozenia dla iloczynu skalarnego dwoch wektorow pierwszy argument jest niejawny i wskazuje na wektor z klasy </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector1</td><td>- wektor przez ktory mnozymy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- iloczyn skalarny dwoch wektorow </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00131">131</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="a64b8bda0e41f423f266f1de2c31e56d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64b8bda0e41f423f266f1de2c31e56d7">&#9670;&nbsp;</a></span>operator*() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator* </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora mnozenia dla mnozenia wektora przez liczbe pierwszy argument jest niejawny i wskazuje na wektor z klasy </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">number</td><td>- liczba przez ktora mnozymy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- wynik mnozenia </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00120">120</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="afc7fbba80f94f43ee97db87d8b8623d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc7fbba80f94f43ee97db87d8b8623d9">&#9670;&nbsp;</a></span>operator+()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector1</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora dodawania dla dodawania dwoch wektorow pierwszy argument jest niejawny i wskazuje na wektor z klasy </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector1</td><td>- wektor ktory chcemy dodac </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- wynik dodawania dwoch wektorow </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00153">153</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="a79f1e5fb7239e59a78b6df100a56b18c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79f1e5fb7239e59a78b6df100a56b18c">&#9670;&nbsp;</a></span>operator-()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector1</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora odejmowania dla roznicy dwoch wektorow pierwszy argument jest niejawny i wskazuje na wektor z klasy </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector1</td><td>- wektor ktory chcemy odjac </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- wynik odejmowania dwoch wektorow </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00164">164</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="a0f208f83a404416a3dd32f366c9e33de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f208f83a404416a3dd32f366c9e33de">&#9670;&nbsp;</a></span>operator/()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator/ </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora dzielenia dla dzielenia wektora przez liczbe pierwszy argument jest niejawny i wskazuje na wektor z klasy </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">number</td><td>- liczba przez ktora chcemy podzielic </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- wynik dzielenia </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00142">142</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="a42a5d5a9ce43d2e35d186ca825a3a3e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42a5d5a9ce43d2e35d186ca825a3a3e5">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T &amp; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora indeksowania dla klasy wektor pozwala zapisywac dane w wektorze </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>- numer pola w ktore chcemy zapisac dana wartosc </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- pole w ktorym zapiszemy dana wartosc </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00105">105</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="aa0551702cc828474774e5a417d5be63c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0551702cc828474774e5a417d5be63c">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const T &amp; <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora indeksowania dla klasy wektor nie pozwala na zmiane danych w polu wektor </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>- numer pola w danym wektorze </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- dane pole z wektora </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00110">110</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a62ded5bdea4a50407eeba6dfe12626c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62ded5bdea4a50407eeba6dfe12626c3">&#9670;&nbsp;</a></span>vector</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt;::vector[SIZE] {}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00015">15</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z pliku:<ul>
<li><a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/db2/class_vector.html">Vector</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
